Skip to content

Query event facilitators

GET
/api/events/query-facilitators
curl --request GET \
--url https://api.eventpoint.io/api/events/query-facilitators \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "keyword": "example", "page": 1, "itemsPerPage": 1, "sort": "example", "sortDir": "Asc", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "parentEventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "facilitatorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "eventTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "eventCategories": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "facilitatorCategories": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "approvalStatus": "Proposed", "eventStatus": "Tentative", "eventPublished": true, "aiResult": true, "useSearchService": true, "includEmailInSearch": true }'

The request details.

object
keyword
null | string
page
integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
itemsPerPage
null | integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
sort
null | string
sortDir
Allowed values: Asc Desc
projectId
string format: uuid
parentEventId
null | string format: uuid
facilitatorTypeId
null | string format: uuid
eventTypeIds
Array<string> | null
eventCategories
Array<string> | null
facilitatorCategories
Array<string> | null
approvalStatus
One of:
null
eventStatus
One of:
null
eventPublished
null | boolean
aiResult
boolean
useSearchService
boolean
includEmailInSearch
boolean

OK

object
page
null | integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
itemsPerPage
null | integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
numberOfPages
integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
Allowed values: Person Company Other
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
sort
null | string
sortDir
One of:
null
request
object
page
integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
itemsPerPage
integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
continuationToken
null | string
sort
null | string
sortDir
One of:
null
terms
null | string
categories
Array<string> | null
dateLow
null | string format: date-time
dateHigh
null | string format: date-time

Forbidden

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string